optional: 'bad!?'
optional_min: 9
min_example: 1.3
min_negative: NOT AN INT
min_on_date: NOT A DATE
min_on_datetime: 2009-01-01 00:00:00
max_example: NOT AN INT
max_on_date: 2011-01-01
max_on_datetime: NOT A TIMESTAMP
boolean: "True"
